Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005429 [JEDI VCL] 00 JVCL Components major always 2010-11-29 16:08 2012-02-29 16:55
Reporter dreel View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005429: JvDbGrid Access violation for hint raised on header that occupies two rows
Description Referenced to bug 0005324 (http://issuetracker.delphi-jedi.org/bug_view_advanced_page.php?bug_id=5324) [^]
An AccessError when pointing mouse over the first row of header located in two rows.

In example application you can see the header with name "Comment" occupying two lines. Trying to raise hint on first row give us the exception.

Access violation at address 005149EC in module 'Jvcl_issue0005324.exe'. Read of address 00000001.

Stack details:
main thread ($e00):
005149ec +088 Jvcl_issue0005324.exe JvMemoryDataset TJvMemoryData.GetFieldData
004d101d +045 Jvcl_issue0005324.exe DB TDataSet.GetFieldData
7c90e450 +010 ntdll.dll KiUserCallbackDispatcher
00496458 +188 Jvcl_issue0005324.exe Controls TControl.WndProc
00499034 +02c Jvcl_issue0005324.exe Controls TWinControl.MainWndProc
004761f8 +014 Jvcl_issue0005324.exe Classes StdWndProc
7c90e450 +010 ntdll.dll KiUserCallbackDispatcher
7c910412 +025 ntdll.dll RtlAcquirePebLock
004c6ae6 +012 Jvcl_issue0005324.exe DB TField.GetFieldNo
004d101d +045 Jvcl_issue0005324.exe DB TDataSet.GetFieldData
004c7eab +0eb Jvcl_issue0005324.exe DB TStringField.GetValue
004c6ae6 +012 Jvcl_issue0005324.exe DB TField.GetFieldNo
004d101d +045 Jvcl_issue0005324.exe DB TDataSet.GetFieldData
7c910412 +025 ntdll.dll RtlAcquirePebLock
7c91043d +00c ntdll.dll RtlReleasePebLock
7c910412 +025 ntdll.dll RtlAcquirePebLock
004c69c6 +08a Jvcl_issue0005324.exe DB TField.GetData
004c7e4d +08d Jvcl_issue0005324.exe DB TStringField.GetValue
004c7ca6 +00a Jvcl_issue0005324.exe DB TStringField.GetAsString
004c7d89 +055 Jvcl_issue0005324.exe DB TStringField.GetText
004c6a78 +034 Jvcl_issue0005324.exe DB TField.GetDisplayText
00547a22 +3ea Jvcl_issue0005324.exe JvDBGrid TJvDBGrid.CMHintShow
00496458 +188 Jvcl_issue0005324.exe Controls TControl.WndProc
004993b7 +157 Jvcl_issue0005324.exe Controls TWinControl.WndProc
00532fef +033 Jvcl_issue0005324.exe JvExDBGrids TJvExDBGrid.BaseWndProcEx
00533160 +02c Jvcl_issue0005324.exe JvExDBGrids TJvExDBGrid.HintShow
00533495 +1d9 Jvcl_issue0005324.exe JvExDBGrids TJvExDBGrid.WndProc
00496228 +024 Jvcl_issue0005324.exe Controls TControl.Perform
004b61c2 +1c6 Jvcl_issue0005324.exe Forms TApplication.ActivateHint
004b5cf0 +02c Jvcl_issue0005324.exe Forms TApplication.HintTimerExpired
004b36c6 +022 Jvcl_issue0005324.exe Forms HintTimerProc
7e3696c2 +00a user32.dll DispatchMessageA
004b4e2b +083 Jvcl_issue0005324.exe Forms TApplication.ProcessMessage
004b4e62 +00a Jvcl_issue0005324.exe Forms TApplication.HandleMessage
004b5092 +096 Jvcl_issue0005324.exe Forms TApplication.Run
00559293 +03b Jvcl_issue0005324.exe Jvcl_issue0005324 17 +3 initialization

The same behavior we see on the ADT column header named "Src" and others have a part placed in first row.

As i see there is no field data for the cell.

Example project located here http://issuetracker.delphi-jedi.org/file_download.php?file_id=0002017&type=bug [^]


Additional Information date/time : 2010-11-29, 17:57:45, 484ms
operating system : Windows XP Service Pack 2 build 2600
system language : Russian
compiled with : Delphi 7
Tags CellHint, Delphi 7.0, header, Hint, JVCL, JvDbGrid
Attached Files

- Relationships

-  Notes
(0018228)
AHUser (developer)
2010-11-30 20:50

Fixed in svn revision 12943.

- Issue History
Date Modified Username Field Change
2010-11-29 16:08 dreel New Issue
2010-11-29 16:09 dreel Tag Attached: Delphi 7.0
2010-11-29 16:09 dreel Tag Attached: Hint
2010-11-29 16:09 dreel Tag Attached: JVCL
2010-11-29 16:09 dreel Tag Attached: JvDbGrid
2010-11-29 16:09 dreel Tag Attached: CellHint
2010-11-29 16:09 dreel Tag Attached: header
2010-11-29 16:09 dreel Issue Monitored: dreel
2010-11-30 20:50 AHUser Note Added: 0018228
2010-11-30 20:50 AHUser Status new => resolved
2010-11-30 20:50 AHUser Fixed in Version => Daily / SVN
2010-11-30 20:50 AHUser Resolution open => fixed
2010-11-30 20:50 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker